#include "dsgui.h"
#include "font8_8.h" // 8x8 Font
#include <nds.h>

int main() {
  DSTHEME a;

  a.colors[0] = RGB15(5,15,30);
  a.colors[1] = RGB15(10,29,30);
  a.colors[2] = RGB15(31,0,31);
  a.colors[3] = RGB15(31,31,31);
  a.colors[4] = RGB15(31,31,31);
  a.font_small = font8_8;
  a.font_small_size = font8_8_size;

  DSPainter painter(SCREEN_MAIN, &a); 
  painter.DrawGradRect(5,5,6,3);
  painter.DrawText(5,6, "Button");
  painter.DrawGradRect(20,5,6,3);
  painter.DrawText(20,6, "Button");
  painter.DrawGradRect(14,10,4,4);
  painter.DrawText(14,11, "Beh!");
  painter.DrawText(14,12, "Bah?");
  painter.DrawRect(11,20,10,3);

  DSPainter painter2(SCREEN_SUB, &a);
  painter2.DrawGradRect(5,5,6,3);
  painter2.DrawGradRect(20,5,6,3);
  painter2.DrawGradRect(14,10,4,4);
  painter2.DrawRect(11,20,10,3); 

  painter2.DrawText(2,15,"Tiled text here, !@#$%^&*)(-+_+~~:;'/?/.,*");
  return 0;
}
