#include "dsgui.h"

DSGui::DSGui() {
  m_p_top_container  = new DSContainer(SCREEN_MAIN);
  m_p_bottom_container = new DSContainer(SCREEN_SUB);
}

DSGui::~DSGui() {
  delete m_p_top_container;
  delete m_p_bottom_container;
}

DSContainer* DSGui::GetTopContainer() { 
  return m_p_top_container; 
}

DSContainer* DSGui::GetBottomContainer() { 
  return m_p_bottom_container; 
}

RESULT DSGui::SetTheme( PDSTHEME p_theme ) {
  m_p_curtheme = p_theme;
  return SUCCESS;
}

RESULT DSGui::CheckListeners( PPOSITION p_pos ) {
  return m_p_bottom_container->ClickEvent(p_pos);
}

