#ifndef __DSGUI_H__
#define __DSGUI_H__

// dsgui's main hdr

#include "types.h"

#include "dsobject.h"
#include "dswidget.h"
#include "dskeypress.h"

#include "dslistenerwidget.h"
#include "dsbutton.h"
#include "dspainter.h"

class DSGui {
  private:    
    PDSTHEME m_p_curtheme;

    DSContainer * m_p_top_container;
    DSContainer * m_p_bottom_container;

  public:
    DSGui();
    DSGui( PDSTHEME p_theme);
    ~DSGui();
  
    DSContainer* GetTopContainer();
    DSContainer* GetBottomContainer();

    RESULT SetTheme( PDSTHEME p_theme );
    RESULT CheckListeners( PPOSITION pos );
};

#endif

