#ifndef __DSBUTTON_H__
#define __DSBUTTON_H__

#include "dslistenerwidget.h"
#include "dscontainer.h"

class DSButton : public DSListenerWidget {
  protected:
    char * m_p_label[SIZE_LABEL];

  public:
    DSButton();
    DSButton( PPOSITION p_pos, PDIMENSIONS p_dim, void (*p_fn)() );
    DSButton( PPOSITION p_pos, PDIMENSIONS p_dim, void (*p_fn)() , char *label );
    // DSButton( PPOSITION p_pos, PDIMENSIONS p_dim, void (*p_fn)() , char *label , double **background); Implement bitmap bg later ?
    virtual ~DSButton();
    virtual RESULT ClickEvent( PPOSITION pos );
    virtual RESULT Draw(  );
    virtual RESULT SetEventFn( void (*p_fn)() );
};

#endif

