#ifndef __DSKEYPRESS_H__
#define __DSKEYPRESS_H__

#include "dsobject.h"

class DSKeyPress: public DSObject {
  protected:
  	uint m_keyMatch;
	  void (*m_p_fn);

  	// List item
	  DSKeyPress * m_p_next_dskp;

  	bool isKey( uint key ) { return m_keyMatch == key; } 

  public:
	  DSKeyPress(uint keyMatch, void (*p_fn) ) : m_keyMatch(keyMatch), m_p_fn(p_fn) {}
  	virtual ~DSKeyPress(); // Done

	  // Quick Checks
  	RESULT CallKey( uint key ); // Return (KEY_CALLED, KEY_NOT_SET)

	  RESULT GetNext( DSKeyPress * p_dskp ); // Done
  	RESULT SetNext( DSKeyPress * p_dskp ); // Done
};

#endif

